﻿namespace Bowlus.Common
{
    public interface IAppRepository
    {
        System.IO.MemoryStream DownloadApp(string name);

        System.Collections.ObjectModel.Collection<string> GetAppList();

        System.Collections.ObjectModel.Collection<string> GetCustomizationList(string appName);

        System.IO.MemoryStream GetTenantCustomization(string tenantid);

        void Upload(string name, System.IO.MemoryStream stream);

        void ExtractTenantApplication(TenantDeployment tenantDeployment, string destination);
    }
}
