﻿// -----------------------------------------------------------------------
// <copyright file="Constants.cs" company="">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Bowlus.Common.Logging
{
    public static class Constants
    {
        public static class CategoryNames
        {
            public const string ArrConfiguration = "ArrConfiguration";

            public const string RequestRouting = "RequestRouting";

            public const string BowlusAppHost = "BowlusAppHost";

            public const string BowlusFrontEnd = "BowlusFrontEnd";

            public const string DeploymentManager = "DeploymentManager";
        }

        public static class Events
        {
            #region Bowlus.RequestRouting
            public const int RequestRoutingInitialize = 1001;

            public const int UpdateArr = 1002;

            public const int UpdateRoutingEnvironment = 1003;

            public const int UpdateRoutingRules = 1004;
            #endregion

            #region Bowlus.AppHost
            public const int AppHostConfiguration = 2001;
            #endregion

            #region Bowlus.FrontEnd
            public const int FrontEndConfiguration = 3001;
            #endregion
        }
    }
}
