﻿namespace Bowlus.Common
{
    using System.Collections.ObjectModel;
    using System.IO;

    public interface IAppRepository
    {
        MemoryStream DownloadApp(string name);

        Collection<string> GetAppList();

        Collection<string> GetCustomizationList(string appName);

        MemoryStream GetTenantCustomization(string tenantid);

        void Upload(string name, System.IO.MemoryStream stream);

        void ExtractTenantApplication(TenantDeployment tenantDeployment, string destination);
    }
}
