﻿namespace Bowlus.Common.Communications
{
    using System;
    using System.Net;

    public enum BowlusMessageType
    {
        DeployApp,

        DeleteApp,

        FrontEndStarted,

        AppHostStartingUp,

        AppHostStarted,

        AppHostShuttingDown,

        AppHostRemoved,

        AppDeployed,

        AppDeleted,

        AppDeployFailed,

        Hearthbeat,

        None = 99,
    }

    public class BowlusMessage
    {
        public Guid MessageId { get; set; }

        public BowlusMessageType MessageType { get; set; }

        public string Body { get; set; }

        public IPEndPoint Sender { get; set; }
    }
}
