﻿namespace Bowlus.Common
{
    using System;

    using Microsoft.WindowsAzure.ServiceRuntime;
    using Microsoft.WindowsAzure.StorageClient;

    public class HostingInfrastructure : TableServiceEntity
    {
        public HostingInfrastructure()
        {

        }

        public HostingInfrastructure(string roleType, string instanceId)
            : base(RoleEnvironment.DeploymentId, instanceId)
        {
            this.RoleType = roleType;
            this.Status = "Initializing";
            this.StatusChangeTime = DateTime.UtcNow;
        }

        public DateTime StatusChangeTime { get; set; }

        public string Status { get; set; }

        public string RoleType { get; set; }
    }
}
